ACPIFAN(4) | Device Drivers Manual | ACPIFAN(4)

# NAME

`acpifan` —
ACPI Fan

# SYNOPSIS

`acpifan* at acpi?`

# DESCRIPTION

The `acpifan` device driver supports fans possibly exposed by the BIOS. Even if a system contains only one physical fan, multiple `acpifan` instances may be present. In such cases each `acpifan` typically represents an acpitz(4) thermal zone, and the combined state of all instances reveals the speed of the fan.

The `acpifan` driver does not support controlling the fan. The current state (on or off) is made available through the envsys(4) API and the envstat(8) command.

# SEE ALSO

acpi(4), acpitz(4)

# HISTORY

The `acpifan` device driver appeared in NetBSD 6.0.

# AUTHORS

Jukka Ruohonen ⟨jruohonen@iki.fi⟩

# BUGS

The `acpifan` driver does not yet support additional functionality introduced in the ACPI 4.0 specification.

January 9, 2011 | NetBSD 10.0